RNAHEAT(l)

NAME
RNAheat - calculate specific heat of RNAs

SYNOPSIS
RNAheat [-Tmin t1] [-Tmax t2] [-h stepsize] [-m ipoints] [-d] [-4] [-noGU] [-noCloseGU] [-nsp pairs] [-P paramfile] [-e 1|2]

DESCRIPTION
RNAheat reads RNA sequences from stdin and calculates their specific heat in the temperature range t1 to t2, from the partition function by numeric differentiation. The result is written to stdout as a list of pairs of temperature in C and specific heat in Kcal/(Mol*K).
The program will continue to read new sequences until a line consisting of the single character "@" or an end of file condition is encountered.

OPTIONS

-Tmin t1
    Lowest temperature, default is 0C.

-Tmax t2
    Highest temperature, default is 100C.

-h stepsize
    Calculate partition function every stepsize degrees C. Default is 1C.

-m ipoints
    The program fits a parabola to 2*ipoints+1 data points to calculate 2nd derivatives. Increasing this parameter produces a smoother curve. Default is 2.

The -d, -4, -noGU, -noCloseGU, -e, -P, -nsp, options work as in RNAfold.

EXAMPLES
	RNAheat -Tmin -30 -Tmax 120 -h 0.1 -m 4 < tRNA.seq | xmgrace -pipe
produces plots of the specific heat of the sequences in tRNA.seq.

REFERENCES
The partition function algorithm is based on work by J.S. McCaskill.

If you use this program in your work you might want to cite:

I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994) Fast Folding and Comparison of RNA Secondary Structures. Monatshefte f. Chemie 125: 167-188

J.S. McCaskill (1990) The equilibrium partition function and base pair binding probabilities for RNA secondary structures, Biopolymers 29: 1105-1119
D. Adams (1979) The hitchhiker's guide to the galaxy, Pan Books, London

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Ivo L Hofacker, Peter F Stadler.

SEE ALSO
RNAfold(l),

BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.